Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.bold-factory.com/v1/people/users/self \ --header 'Authorization: Bearer <token>'
{ "user": { "id": "<string>", "firstName": "<string>", "lastName": "<string>", "email": "<string>" }, "roles": [ { "id": "<string>", "name": "<string>", "key": "<string>", "description": "<string>", "systemRole": true } ], "permissions": [ { "id": "<string>", "name": "<string>", "key": "<string>", "description": "<string>" } ], "employee": { "id": "<string>", "externalReference": "<string>", "code": "<string>", "fullName": "<string>", "firstName": "<string>", "lastName": "<string>", "pictureFileId": "<string>", "mainUserEmail": "<string>", "picture": { "id": "<string>", "readOnlyUri": "<string>" }, "emails": [ "<string>" ], "createdBy": "<string>", "createdAt": "2023-11-07T05:31:56Z", "lastModifiedBy": "<string>", "lastModifiedAt": "2023-11-07T05:31:56Z", "deletedAt": "2023-11-07T05:31:56Z" } }
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
OK
Show child attributes